package com.heyu.api.data.service.calca;
/**
* <p>
* 按天统计 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.calca.CalcaMinutesStatisticsEntity;
public interface CalcaMinutesStatisticsService extends IService<CalcaMinutesStatisticsEntity> {



	CalcaMinutesStatisticsEntity selectCalcaMinutesStatisticsById(Long id);


	Long insertCalcaMinutesStatistics(CalcaMinutesStatisticsEntity calcaMinutesStatistics);


	Long insertOrUpdateCalcaMinutesStatistics(CalcaMinutesStatisticsEntity calcaMinutesStatistics);


	int updateCalcaMinutesStatisticsById(CalcaMinutesStatisticsEntity calcaMinutesStatistics);


	int updateCoverCalcaMinutesStatisticsById(CalcaMinutesStatisticsEntity calcaMinutesStatistics);


	int deleteCalcaMinutesStatisticsById(Long id);


}